gr::gfdm::remove_prefix_cc Class Reference

extract block_len items from frame_len chunks of items, marked with a tag plus offset More...

`#include <remove_prefix_cc.h>`

Inheritance diagram for gr::gfdm::remove_prefix_cc:
[legend]

## Public Types

typedef boost::shared_ptr< remove_prefix_cc > | sptr

## Static Public Member Functions

static sptr | make (int frame_len, int block_len, int offset, const std::string &gfdm_sync_tag_key)
| Return a shared_ptr to a new instance of gfdm::remove_prefix_cc.

## Detailed Description

extract block_len items from frame_len chunks of items, marked with a tag plus offset

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<remove_prefix_cc> gr::gfdm::remove_prefix_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::remove_prefix_cc::make | ( | int | frame_len,
|  | int | block_len,
|  | int | offset,
|  | const std::string & | gfdm_sync_tag_key
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::remove_prefix_cc.

To avoid accidental use of raw pointers, gfdm::remove_prefix_cc' constructor is in a private implementation class. gfdm::remove_prefix_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- remove_prefix_cc.h